Subject: bug#1691: 23.0.60; Building Emacs overflowed pure space

From: Teemu Likonen <[email-masked]>
Date: Fri, 07 Aug 2009 13:55:31 +0300

On 2008-12-24 10:19 (-0500), Christopher L. Conway wrote:

> On startup, with "emacs -Q", I receive the warning: Warning
> (initialization): Building Emacs overflowed pure space. (See the node
> Pure Storage in the Lisp manual for details.)

I get this same error with my Emacs too; it's built from commit:

    commit 9684dba86f29706650c2321930e207c782647502
    Author: Jay Belanger <[email-masked]>
    Date:   2009-08-05 00:43:34 +0000

        (Types Tutorial Exercise 2): Fix wording.

I notice this bug is tagged with "moreinfo" and "unreproducible". I
don't know what more info I can give. Here's what "M-x emacs-version"
prints:

    GNU Emacs 23.1.50.1 (i686-pc-linux-gnu, GTK+ Version 2.12.12) of
    2009-08-06 on mithlond

The warning does not appear when I build Emacs from EMACS_23_1_RC
branch.